<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.maintain.business.mapper.ErpSettlementMaintainMapper">

    <resultMap type="com.maintain.business.domain.ErpSettlementMaintain" id="ErpSettlementMaintainResult">
        <result property="id" column="id"/>
        <result property="settlementNumber" column="settlement_number"/>
        <result property="clientId" column="client_id"/>
        <result property="clientName" column="client_name"/>
        <result property="clientPhone" column="client_phone"/>
        <result property="clientType" column="client_type"/>
        <result property="clientCertificateType" column="client_certificate_type"/>
        <result property="clientCertificateNumber" column="client_certificate_number"/>
        <result property="manHourDiscountMoney" column="man_hour_discount_money"/>
        <result property="materialDiscountMoney" column="material_discount_money"/>
        <result property="settlementTime" column="settlement_time"/>
        <result property="paymentMethod" column="payment_method"/>
        <result property="paymentAccount" column="payment_account"/>
        <result property="paymentAccountName" column="payment_account_name"/>
        <result property="paymentVoucher" column="payment_voucher"/>
        <result property="settlementRemark" column="settlement_remark"/>
        <result property="collectionTime" column="collection_time"/>
        <result property="collectionVoucher" column="collection_voucher"/>
        <result property="collectionAccount" column="collection_account"/>
        <result property="collectionSerialNumber" column="collection_serial_number"/>
        <result property="collectionRemark" column="collection_remark"/>
        <result property="state" column="state"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="createDeptId" column="create_dept_id"/>
    </resultMap>


</mapper>
